## com.baidubce.services.vod.model
Class GetPlayableUrlResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.vod.model.GetPlayableUrlResponse

    public class GetPlayableUrlResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetPlayableUrlResponse()`

Method Summary
`PlayableUrl` `getResult()`
`Boolean` `getSuccess()`
`void` `setResult(PlayableUrl result)`
`void` `setSuccess(Boolean success)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPlayableUrlResponse

    public GetPlayableUrlResponse()

Method Detail

### getSuccess

    public Boolean getSuccess()

### setSuccess

    public void setSuccess(Boolean success)

### getResult

    public PlayableUrl getResult()

### setResult

    public void setResult(PlayableUrl result)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.